Smoothed Quadratic Energies on Meshes
=====================================

ACM Transactions on Graphics 2014 - J. Martinez Esturo, C. Rössl, and H. Theisel
--------------------------------------------------------------------------------

Additional Material
-------------------

A MATLAB reference implementation is availible at
[github](github.com/ph03/smoothed-energy-regularization).

Additionally, we provide the result meshes of all shown (and even not shown)
examples of the paper in the corresponding subfolders of the archive

MartinezEsturo2014_meshes.zip .

The file names

type_energy_[tikhonov]_model_beta_errortype_[coordtype].obj

of each result in .obj file format are defined as follows

- type:      the problem type ("2d" planar deformation, "3d" surface or volume
                               deformation, "param" parametrization).
- energy:    the optimized energy, e.g., "arap" or "lscm".
- tik_grad, tik_lapl, tik_grad_displ, tik_lapl_displ:
             (optional) for these results our propossed energy regularization
             was not used but standard Tikhonov regularization: first-order
             *tik_grad* or second-order *tik_lapl* as well as displacement field
             *displ* regularization.
- model:     the name of the model mesh
- beta:      the value of the regularization parameter beta
- errortype: the error type that is encoded in the parameterization uvw
             coordinates of the mesh.
- coordtype: (optional) for parameterizations either the surface coordinates
             ("p") or the parameterization domain coordinates are saved in the
             mesh coordinates.

For the 2D and parametrization examples the files named *type_flips.txt* contain
informations on the flipped triangles of each result (triangle indices are
1-based).
